seed_everything: 42
trainer:
  accelerator: gpu
  strategy: auto
  devices: auto
  num_nodes: 1
  precision: 32-true
  callbacks:
    - class_path: viscy.representation.embedding_writer.EmbeddingWriter
      init_args:
        output_path: "/hpc/projects/comp.micro/infected_cell_imaging/Single_cell_phenotyping/ContrastiveLearning/trainng_logs/SEC61/rev6_NTXent_sensorPhase_infection/2chan_160patch_94ckpt_rev6_2_phate.zarr"
        PHATE_kwargs:
          n_components: 2
          knn: 5
          decay: 40
  inference_mode: true
model:
  class_path: viscy.representation.engine.ContrastiveModule
  init_args:
    encoder:
      class_path: viscy.representation.contrastive.ContrastiveEncoder
      init_args:
        backbone: convnext_tiny
        in_channels: 2
        in_stack_depth: 30
        stem_kernel_size: [5, 4, 4]
        stem_stride: [5, 4, 4]
        embedding_dim: 768
        projection_dim: 32
        drop_path_rate: 0.0
    example_input_array_shape: [1, 2, 30, 256, 256]
data:
  class_path: viscy.data.triplet.TripletDataModule
  init_args:
    data_path: /hpc/projects/intracellular_dashboard/organelle_dynamics/2024_02_04_A549_DENV_ZIKV_timelapse/8-train-test-split/registered_test.zarr
    tracks_path: /hpc/projects/intracellular_dashboard/organelle_dynamics/2024_02_04_A549_DENV_ZIKV_timelapse/8-train-test-split/track_test.zarr
    source_channel:
      - Phase3D
      - RFP
    z_range: [15, 45]
    batch_size: 32
    num_workers: 30
    initial_yx_patch_size: [160, 160]
    final_yx_patch_size: [160, 160]
    normalizations:
      - class_path: viscy.transforms.NormalizeSampled
        init_args:
          keys: [Phase3D]
          level: fov_statistics
          subtrahend: mean
          divisor: std
      - class_path: viscy.transforms.ScaleIntensityRangePercentilesd
        init_args:
          keys: [RFP]
          lower: 50
          upper: 99
          b_min: 0.0
          b_max: 1.0
return_predictions: false
ckpt_path: /hpc/projects/organelle_phenotyping/models/SEC61B/time_interval/rev6_NTXent_sensorPhase_infection/lightning_logs/time_interval_1_infection_ntxent_restart_2/checkpoints/epoch=94-step=2375.ckpt
